---
title: Window.clearImmediate()
slug: Web/API/Window/clearImmediate
tags:
  - API
  - HTML DOM
  - Method
  - Window
---
<p>{{APIRef("HTML DOM")}}{{Non-standard_header}}</p>

<p>This method clears the action specified by {{DOMxRef("window.setImmediate")}}.</p>

<div class="notecard note">
<p>This method is not expected to become standard, and is only implemented by recent builds of Internet Explorer and Node.js 0.10+. It meets resistance both from <a href="https://bugzilla.mozilla.org/show_bug.cgi?id=686201">Gecko</a> (Firefox) and <a href="http://code.google.com/p/chromium/issues/detail?id=146172">Webkit</a> (Google/Apple).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>window</var>.clearImmediate( <var>immediateID</var> )
</pre>

<p>where immediateID is a ID returned by {{DOMxRef("window.setImmediate")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">let immediateID = setImmediate(() =&gt; {
  // Run some code
}

document.getElementById("button")
  .addEventListener(() =&gt; {
  clearImmediate(immediateID);
});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a class="external" href="https://w3c.github.io/setImmediate/#si-setImmediate" hreflang="en" lang="en">Efficient Script Yielding<br>
    <small lang="en-US">The definition of '<code>setImmediate</code>' in that specification.</small></a></td>
   <td><span class="spec-ED">Editor's Draft</span></td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.clearImmediate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("Window.setImmediate()")}}</li>
</ul>
